% eda04_03
% data kernerl for polynomial scenario
% di = m1 + m2 *xi + m2 * x^2 + ...

N = 32;
Dx=1/(N-1);
x = Dx*[0:N-1]'; % x defined on 0 to 1

M=N; % G square

G=zeros(N,M);
G(:,1) = 1; % handle first column individually
for i = [2:M] % loop over remaining columns
    G(:,i) = x .^ (i-1);
end

eda_draw(G,'caption G');